<?php

return [
    'Inicio' => [
        'breadcrumbs' => false,
        'icon' => 'menu-icon tf-icons ti ti-home',
        'submenu' => [
            'Inicio' => [
                'icon' => 'menu-icon tf-icons ti ti-home',
                'route' => 'admin.core.home.index',
            ],
            'Sitio web' => [
                'icon' => 'menu-icon tf-icons ti ti-world-www',
                'url' => env('APP_URL'),
            ],
            'Ajustes' => [
                'icon' => 'menu-icon tf-icons ti ti-settings-cog',
                'submenu' => [
                    'Aplicación' => [
                        'submenu' => [
                            'Ajustes generales' => [
                                'route' => 'admin.core.general-settings.index',
                                'can' => 'admin.core.general-settings.allow',
                            ],
                            'Ajustes de caché' => [
                                'route' => 'admin.core.cache-manager.index',
                                'can' => 'admin.core.cache-manager.view',
                            ],
                            'Servidor de correo SMTP' => [
                                'route' => 'admin.core.smtp-settings.index',
                                'can' => 'admin.core.smtp-settings.allow',
                            ],
                        ],
                    ],
                ]
            ],
            'Sistema' => [
                'icon' => 'menu-icon tf-icons ti ti-user-cog',
                'submenu' => [
                    'Usuarios' => [
                        'route' => 'admin.core.users.index',
                        'can' => 'admin.core.users.view',
                    ],
                    'Roles' => [
                        'route' => 'admin.core.roles.index',
                        'can' => 'admin.core.roles.view',
                    ],
                    'Permisos' => [
                        'route' => 'admin.core.permissions.index',
                        'can' => 'admin.core.permissions.view',
                    ]
                ]
            ],
            'Configuración de cuenta' => [
                'icon' => 'menu-icon tf-icons ti ti-user-cog',
                'route' => 'admin.core.user-profile.index',
            ],
            'Acerca de' => [
                'icon' => 'menu-icon tf-icons ti ti-cat',
                'route' => 'admin.core.about.index',
            ],
        ],
    ],
    'Herramientas avanzadas' => [
        'icon' => 'menu-icon tf-icons ti ti-device-ipad-cog',
        'submenu' => [
            'Asistente AI' => [
                'icon' => 'menu-icon tf-icons ti ti-brain',
                'submenu' => [
                    'Panel de IA' => [
                        'route' => 'admin.ai.dashboard.index',
                        'can' => 'admin.ai.dashboard.view',
                    ],
                    'Generación de contenidos' => [
                        'route' => 'admin.ai.content.index',
                        'can' => 'admin.ai.content.create',
                    ],
                    'Análisis de datos' => [
                        'route' => 'admin.ai.analytics.index',
                        'can' => 'admin.ai.analytics.view',
                    ],
                ],
            ],
            'Chatbot' => [
                'icon' => 'menu-icon tf-icons ti ti-message-chatbot',
                'submenu' => [
                    'Configuración' => [
                        'route' => 'admin.chatbot.config.index',
                        'can' => 'admin.chatbot.config.view',
                    ],
                    'Flujos de conversación' => [
                        'route' => 'admin.chatbot.flows.index',
                        'can' => 'admin.chatbot.flows.manage',
                    ],
                    'Historial de interacciones' => [
                        'route' => 'admin.chatbot.history.index',
                        'can' => 'admin.chatbot.history.view',
                    ],
                ],
            ],
        ],
    ],
    'Sitio web' => [
        'icon' => 'menu-icon tf-icons ti ti-tools',
        'submenu' => [
            'Ajustes generales' => [
                'icon' => 'menu-icon tf-icons ti ti-tools',
                'route' => 'admin.website.general-settings.index',
                'can' => 'admin.website.general-settings.allow',
            ],
            'Avisos legales' => [
                'icon' => 'menu-icon tf-icons ti ti-writing-sign',
                'route' => 'admin.website.legal.index',
                'can' => 'admin.website.legal.view',
            ],
            'Preguntas frecuentes' => [
                'icon' => 'menu-icon tf-icons ti ti-bubble-text',
                'route' => 'admin.website.faq.index',
                'can' => 'admin.website.faq.view',
            ],
        ]
    ],
    'Blog' => [
        'icon' => 'menu-icon tf-icons ti ti-news',
        'submenu' => [
            'Categorias' => [
                'icon' => 'menu-icon tf-icons ti ti-category',
                'route' => 'admin.blog.categories.index',
                'can' => 'admin.blog.categories.view',
            ],
            'Etiquetas' => [
                'icon' => 'menu-icon tf-icons ti ti-tags',
                'route' => 'admin.blog.tags.index',
                'can' => 'admin.blog.tags.view',
            ],
            'Articulos' => [
                'icon' => 'menu-icon tf-icons ti ti-news',
                'route' => 'admin.blog.articles.index',
                'can' => 'admin.blog.articles.view',
            ],
            'Comentarios' => [
                'icon' => 'menu-icon tf-icons ti ti-message',
                'route' => 'admin.blog.comments.index',
                'can' => 'admin.blog.comments.view',
            ],
        ]
    ],
    'Contratos' => [
        'icon' => 'menu-icon tf-icons ti ti-writing-sign',
        'submenu' => [
            'Mis contratos' => [
                'icon' => 'menu-icon tf-icons ti ti-file-description',
                'route' => 'admin.contracts.index',
                'can' => 'admin.contracts.view',
            ],
            'Firmar contrato' => [
                'icon' => 'menu-icon tf-icons ti ti-signature',
                'route' => 'admin.contracts.sign',
                'can' => 'admin.contracts.sign',
            ],
            'Contratos automatizados' => [
                'icon' => 'menu-icon tf-icons ti ti-robot',
                'route' => 'admin.contracts.automated',
                'can' => 'admin.contracts.automated.view',
            ],
            'Historial de contratos' => [
                'icon' => 'menu-icon tf-icons ti ti-archive',
                'route' => 'admin.contracts.history',
                'can' => 'admin.contracts.history.view',
            ],
        ]
    ],
    'Atención al cliente' => [
        'icon' => 'menu-icon tf-icons ti ti-messages',
        'submenu' => [
            'Tablero' => [
                'icon' => 'menu-icon tf-icons ti ti-chart-infographic',
                'route' => 'admin.sales.dashboard.index',
                'can' => 'admin.ticketing.dashboard.view',
            ],
            'Mis tickets' => [
                'icon' => 'menu-icon tf-icons ti ti-ticket',
                'route' => 'admin.ticketing.tickets.index',
                'can' => 'admin.ticketing.tickets.view',
            ],
            'Crear ticket' => [
                'icon' => 'menu-icon tf-icons ti ti-square-plus',
                'route' => 'admin.ticketing.tickets.create',
                'can' => 'admin.ticketing.tickets.create',
            ],
            'Categorías de tickets' => [
                'icon' => 'menu-icon tf-icons ti ti-category',
                'route' => 'admin.ticketing.categories.index',
                'can' => 'admin.ticketing.categories.view',
            ],
            'Estadísticas de atención' => [
                'icon' => 'menu-icon tf-icons ti ti-chart-bar',
                'route' => 'admin.ticketing.analytics.index',
                'can' => 'admin.ticketing.analytics.view',
            ],
        ]
    ],
];
